LibreOffice: ContentProvider Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
ContentProvider Service Referencepublished

provides access to a set of Contents. More...

Inheritance diagram for ContentProvider:

## Exported Interfaces
interface | com::sun::star::ucb::XContentProvider
| gives access to all contents provided by this provider.
interface | com::sun::star::ucb::XContentIdentifierFactory
| creates special XContentIdentifier implementation objects for the contents provided by this content provider.
interface | com::sun::star::ucb::XParameterizedContentProvider
| allows a ContentProvider to adjust itself to special needs.

## Additional Inherited Members
Public Member Functions inherited from XContentProvider
com::sun::star::ucb::XContent | queryContent ([in] com::sun::star::ucb::XContentIdentifier Identifier) raises ( com::sun::star::ucb::IllegalIdentifierException )
| creates a new XContent instance, if the given XContentIdentifier matches a content provided by the implementation of this interface.
long | compareContentIds ([in] com::sun::star::ucb::XContentIdentifier Id1, [in] com::sun::star::ucb::XContentIdentifier Id2)
| compares two XContentIdentifiers.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XContentIdentifierFactory
com::sun::star::ucb::XContentIdentifier | createContentIdentifier ([in] string ContentId)
| creates an identifier.
Protected Member Functions inherited from XParameterizedContentProvider
com::sun::star::ucb::XContentProvider | registerInstance ([in] string Template, [in] string Arguments, [in] boolean ReplaceExisting) raises (com::sun::star::lang::IllegalArgumentException)
| Register a content provider on a URL template and supplementary arguments.
com::sun::star::ucb::XContentProvider | deregisterInstance ([in] string Template, [in] string Arguments) raises (com::sun::star::lang::IllegalArgumentException)
| Deregisters a content provider.

## Detailed Description

provides access to a set of Contents.

## Exported Interfaces

## ◆ com::sun::star::ucb::XContentIdentifierFactory

interface com::sun::star::ucb::XContentIdentifierFactory
| optional

creates special XContentIdentifier implementation objects for the contents provided by this content provider.

This interface can be implemented in case the provider wants to provide some additional interfaces with its implementation of the identifier objects.

## ◆ com::sun::star::ucb::XContentProvider

interface com::sun::star::ucb::XContentProvider

gives access to all contents provided by this provider.

## ◆ com::sun::star::ucb::XParameterizedContentProvider

interface com::sun::star::ucb::XParameterizedContentProvider
| optional

allows a ContentProvider to adjust itself to special needs.

Whenever a ContentProvider that supports this interface is registered at a XContentProviderManager, the method XParameterizedContentProvider::registerInstance() should first be called, using the returned XContentProvider to register at the XContentProviderManager.

The documentation for this service was generated from the following file:

- com/sun/star/ucb/ContentProvider.idl